﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using dhtmlxConnectors;
using System.Configuration;

namespace dhtmlxConnector.Net_Samples.dhtmlxGrid
{
    /// <summary>
    /// Connector body
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class dbErrorHandler : dhtmlxRequestHandler
    {
        public override IdhtmlxConnector CreateConnector(HttpContext context)
        {
            dhtmlxGridConnector connector = new dhtmlxGridConnector(
                "BookSe",
                "sales, title",
                "book_id",
           
                dhtmlxDatabaseAdapterType.SqlServer2005,
                ConfigurationManager.ConnectionStrings["SamplesDatabase"].ConnectionString
            );
            if (context.Request.QueryString["dynamic"] != null)
                connector.SetDynamicLoading(Convert.ToInt32(context.Request.QueryString["dynamic"]));
           
            
            connector.OnDBError += new EventHandler<DataActionProcessingEventArgs>(connector_BbError);       
            connector.Request.CustomSQLs.Add(CustomSQLType.Delete, "UPDATE Coun SET PrintableName = '-------------' WHERE UID={UID}");

            return connector;

        }
        void connector_BbError(object sender, DataActionProcessingEventArgs e)
        {
            e.DataAction.Details = "Database error";
        }
    }
}
   